Subject: Re: Bootstrapping Zig with no Binary Blobs

From: Hilton Chain <[email-masked]>
Date: Thu, 28 Nov 2024 19:08:09 +0800

I started to learn Zig these days and adjusted patches for Zig a bit.

Other than this, I have added a install-source? argument to zig-build-system, it
can now install package source to "/src/<name>-<version>".

"-Dtarget" is used in zig-build-system's native builds as well, same as Zig for
reproducibility.

Made "#:zig-inputs" a private keyword, its value will be passed to inputs like
cargo-build-system (the build system doesn't extract the whole closure for now,
this can be added in the future depending on how Zig ecosystem develops).

Set ZIG_GLOBAL_CACHE_DIR and ZIG_LOCAL_CACHE_DIR to "/tmp/zig-cache", and set
ZIG_LIBC instead of using "zig build --libc", for convenience.

I think this is mostly ready ( again :) ).  If there's nothing else missing,
I'll post the current status and call for packages to test the build system on
guix-devel, together with the concern on generated files.